RoboCupMS

Public Member Functions | Static Public Member Functions | List of all members
com.robogames.RoboCupMS.AppInit Class Reference

## Public Member Functions
ApplicationRunner | initRole (RoleRepository repository)
ApplicationRunner | initScoreAggregation (ScoreAggregationRepository repository)
ApplicationRunner | initCategory (CategoryRepository repository)
ApplicationRunner | initMatchState (MatchStateRepository repository)
ApplicationRunner | initUsers (UserRepository repository)
ApplicationRunner | initDisciplines (DisciplineRepository repository, ScoreAggregationRepository aggregationRepository)

## Static Public Member Functions
static ApplicationContextProvider | contextProvider ()
static void | loadConfigFromFile ()

## Detailed Description

Zajistuje inicializaci aplikace

## Member Function Documentation

## ◆ contextProvider()

static ApplicationContextProvider com.robogames.RoboCupMS.AppInit.contextProvider | ( |  | ) |
| inline static

Navrati poskotovatele aplikacniho kontextu

Returns
  ApplicationContextProvider

## ◆ initCategory()

ApplicationRunner com.robogames.RoboCupMS.AppInit.initCategory | ( | CategoryRepository | repository | ) |
| inline

Prvni inicializace kategorii

Parameters

  repository | RoleRepository

## ◆ initDisciplines()

ApplicationRunner com.robogames.RoboCupMS.AppInit.initDisciplines | ( | DisciplineRepository | repository,
|  | ScoreAggregationRepository | aggregationRepository
| ) |  |
| inline

Prvni inicializace zakladnich disciplin

Parameters

  repository | DisciplineRepository

## ◆ initMatchState()

ApplicationRunner com.robogames.RoboCupMS.AppInit.initMatchState | ( | MatchStateRepository | repository | ) |
| inline

Prvni inicializace stavu zapasu

Parameters

  repository | RoleRepository

## ◆ initRole()

ApplicationRunner com.robogames.RoboCupMS.AppInit.initRole | ( | RoleRepository | repository | ) |
| inline

Prvni inicializace roli

Parameters

  repository | RoleRepository

## ◆ initScoreAggregation()

ApplicationRunner com.robogames.RoboCupMS.AppInit.initScoreAggregation | ( | ScoreAggregationRepository | repository | ) |
| inline

Prvni inicializace agregacnich funkci skore (pouziva se pro automaticke vyhodnoceni vysledku souteze)

Parameters

  repository | RoleRepository

## ◆ initUsers()

ApplicationRunner com.robogames.RoboCupMS.AppInit.initUsers | ( | UserRepository | repository | ) |
| inline

Prvni inicializace uzivatelu (administratori)

Parameters

  repository | RoleRepository

## ◆ loadConfigFromFile()

static void com.robogames.RoboCupMS.AppInit.loadConfigFromFile | ( |  | ) |
| inline static

Nacte konfiguraci ze souboru

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/AppInit.java